App\Library\Amazon\Classes\ComputerComponent:
    xml_root_name: ComputerComponent
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        audioOutputMode:
            expose: true
            access_type: public_method
            serialized_name: AudioOutputMode
            accessor:
                getter: getAudioOutputMode
                setter: setAudioOutputMode
            type: App\Library\Amazon\Classes\AudioOutputMode
        chipsetType:
            expose: true
            access_type: public_method
            serialized_name: ChipsetType
            accessor:
                getter: getChipsetType
                setter: setChipsetType
            type: App\Library\Amazon\Classes\ChipsetType
        componentMemoryStorageCapacity:
            expose: true
            access_type: public_method
            serialized_name: ComponentMemoryStorageCapacity
            accessor:
                getter: getComponentMemoryStorageCapacity
                setter: setComponentMemoryStorageCapacity
            type: App\Library\Amazon\Classes\ComputerComponent\ComponentMemoryStorageCapacityAType
        compatibleProcessorTypes:
            expose: true
            access_type: public_method
            serialized_name: CompatibleProcessorTypes
            accessor:
                getter: getCompatibleProcessorTypes
                setter: setCompatibleProcessorTypes
            xml_list:
                inline: true
                entry_name: CompatibleProcessorTypes
            type: array<string>
        componentWirelessType:
            expose: true
            access_type: public_method
            serialized_name: ComponentWirelessType
            accessor:
                getter: getComponentWirelessType
                setter: setComponentWirelessType
            xml_list:
                inline: true
                entry_name: ComponentWirelessType
            type: array<string>
        communicationInterface:
            expose: true
            access_type: public_method
            serialized_name: CommunicationInterface
            accessor:
                getter: getCommunicationInterface
                setter: setCommunicationInterface
            type: string
        componentWriteSpeed:
            expose: true
            access_type: public_method
            serialized_name: ComponentWriteSpeed
            accessor:
                getter: getComponentWriteSpeed
                setter: setComponentWriteSpeed
            type: App\Library\Amazon\Classes\ComponentWriteSpeed
        connectorType:
            expose: true
            access_type: public_method
            serialized_name: ConnectorType
            accessor:
                getter: getConnectorType
                setter: setConnectorType
            type: string
        digitalAudioCapacity:
            expose: true
            access_type: public_method
            serialized_name: DigitalAudioCapacity
            accessor:
                getter: getDigitalAudioCapacity
                setter: setDigitalAudioCapacity
            type: string
        digitalMediaFormat:
            expose: true
            access_type: public_method
            serialized_name: DigitalMediaFormat
            accessor:
                getter: getDigitalMediaFormat
                setter: setDigitalMediaFormat
            type: App\Library\Amazon\Classes\DigitalMediaFormat
        effectiveInputArea:
            expose: true
            access_type: public_method
            serialized_name: EffectiveInputArea
            accessor:
                getter: getEffectiveInputArea
                setter: setEffectiveInputArea
            type: App\Library\Amazon\Classes\EffectiveInputArea
        formFactor:
            expose: true
            access_type: public_method
            serialized_name: FormFactor
            accessor:
                getter: getFormFactor
                setter: setFormFactor
            type: string
        handOrientation:
            expose: true
            access_type: public_method
            serialized_name: HandOrientation
            accessor:
                getter: getHandOrientation
                setter: setHandOrientation
            type: string
        hasAutoFocus:
            expose: true
            access_type: public_method
            serialized_name: HasAutoFocus
            accessor:
                getter: getHasAutoFocus
                setter: setHasAutoFocus
            type: boolean
        hasProgrammableButtons:
            expose: true
            access_type: public_method
            serialized_name: HasProgrammableButtons
            accessor:
                getter: getHasProgrammableButtons
                setter: setHasProgrammableButtons
            type: boolean
        holderCapacity:
            expose: true
            access_type: public_method
            serialized_name: HolderCapacity
            accessor:
                getter: getHolderCapacity
                setter: setHolderCapacity
            type: App\Library\Amazon\Classes\HolderCapacity
        inputType:
            expose: true
            access_type: public_method
            serialized_name: InputType
            accessor:
                getter: getInputType
                setter: setInputType
            type: string
        isAmplifierIntegrated:
            expose: true
            access_type: public_method
            serialized_name: IsAmplifierIntegrated
            accessor:
                getter: getIsAmplifierIntegrated
                setter: setIsAmplifierIntegrated
            type: boolean
        keyboardDescription:
            expose: true
            access_type: public_method
            serialized_name: KeyboardDescription
            accessor:
                getter: getKeyboardDescription
                setter: setKeyboardDescription
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        maxOperatingDistance:
            expose: true
            access_type: public_method
            serialized_name: MaxOperatingDistance
            accessor:
                getter: getMaxOperatingDistance
                setter: setMaxOperatingDistance
            type: App\Library\Amazon\Classes\LengthIntegerDimensionType
        maximumOperatingDistance:
            expose: true
            access_type: public_method
            serialized_name: MaximumOperatingDistance
            accessor:
                getter: getMaximumOperatingDistance
                setter: setMaximumOperatingDistance
            type: App\Library\Amazon\Classes\MaximumOperatingDistance
        memorySlotsAvailable:
            expose: true
            access_type: public_method
            serialized_name: MemorySlotsAvailable
            accessor:
                getter: getMemorySlotsAvailable
                setter: setMemorySlotsAvailable
            type: App\Library\Amazon\Classes\MemorySlotsAvailable
        memoryStorageCapacity:
            expose: true
            access_type: public_method
            serialized_name: MemoryStorageCapacity
            accessor:
                getter: getMemoryStorageCapacity
                setter: setMemoryStorageCapacity
            type: App\Library\Amazon\Classes\MemoryStorageCapacity
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        movementDetectionTechnology:
            expose: true
            access_type: public_method
            serialized_name: MovementDetectionTechnology
            accessor:
                getter: getMovementDetectionTechnology
                setter: setMovementDetectionTechnology
            type: string
        numberOfPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPorts
            accessor:
                getter: getNumberOfPorts
                setter: setNumberOfPorts
            type: App\Library\Amazon\Classes\NumberOfPorts
        outputWattage:
            expose: true
            access_type: public_method
            serialized_name: OutputWattage
            accessor:
                getter: getOutputWattage
                setter: setOutputWattage
            type: App\Library\Amazon\Classes\OutputWattage
        recordingCapacity:
            expose: true
            access_type: public_method
            serialized_name: RecordingCapacity
            accessor:
                getter: getRecordingCapacity
                setter: setRecordingCapacity
            type: App\Library\Amazon\Classes\RecordingCapacity
        scannerResolution:
            expose: true
            access_type: public_method
            serialized_name: ScannerResolution
            accessor:
                getter: getScannerResolution
                setter: setScannerResolution
            type: string
        speakerDiameter:
            expose: true
            access_type: public_method
            serialized_name: SpeakerDiameter
            accessor:
                getter: getSpeakerDiameter
                setter: setSpeakerDiameter
            type: App\Library\Amazon\Classes\SpeakerDiameter
        speakersMaxOutputPower:
            expose: true
            access_type: public_method
            serialized_name: SpeakersMaxOutputPower
            accessor:
                getter: getSpeakersMaxOutputPower
                setter: setSpeakersMaxOutputPower
            type: integer
        speakersNominalOutputPower:
            expose: true
            access_type: public_method
            serialized_name: SpeakersNominalOutputPower
            accessor:
                getter: getSpeakersNominalOutputPower
                setter: setSpeakersNominalOutputPower
            type: integer
        speakerOutputChannelQuantity:
            expose: true
            access_type: public_method
            serialized_name: SpeakerOutputChannelQuantity
            accessor:
                getter: getSpeakerOutputChannelQuantity
                setter: setSpeakerOutputChannelQuantity
            type: integer
        speakerSurroundSoundChannelConfiguration:
            expose: true
            access_type: public_method
            serialized_name: SpeakerSurroundSoundChannelConfiguration
            accessor:
                getter: getSpeakerSurroundSoundChannelConfiguration
                setter: setSpeakerSurroundSoundChannelConfiguration
            type: string
        speedRating:
            expose: true
            access_type: public_method
            serialized_name: SpeedRating
            accessor:
                getter: getSpeedRating
                setter: setSpeedRating
            type: string
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: integer
        writeSpeed:
            expose: true
            access_type: public_method
            serialized_name: WriteSpeed
            accessor:
                getter: getWriteSpeed
                setter: setWriteSpeed
            type: string
